package fr.dgedl.repository.jpa;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Repository;

import fr.dgedl.domain.User;
import fr.dgedl.repository.UserRepository;

/**
 * The User Repository implementation with JPA.
 * 
 */
@Repository
public class UserRepositoryJpa extends AbstractJpaRepository<User, String> implements UserRepository {

	private final Log log = LogFactory.getLog(UserRepositoryJpa.class);

	public UserRepositoryJpa() {
		setClazz(User.class);
	}

	public List<User> findAll() {
		if (log.isDebugEnabled()) {
			log.debug("Finding all users");
		}
		return super.findAll();
	}

}